Skip to main content
GET
List reward configs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

description
string[]
description_like
string

Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

reward_category
enum<string>[]

The category of event that triggers this reward. Trigger-based categories fire when a matching card transaction is posted.

Available options:
cashback:card:mcc
reward_category_like
string

Case insensitive wildcard search for reward_category, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

from_creation_time
string<date-time>
from_last_updated_time
string<date-time>
id
string<uuid>[]
name
string[]
name_like
string

Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

reverse_with_parent
boolean
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
reward_category:asc,
reward_category:desc
status
enum<string>[]
Available options:
active,
inactive
status_like
string

Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

template_id
string<uuid>[]
tenant
string[]

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

to_creation_time
string<date-time>
to_last_updated_time
string<date-time>

Response

List of reward configs

reward_configs
object[]
required

Array of reward configs

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"